#
# spec file for package gkermit (Version 1.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         gkermit
Copyright:    GPL
Group:        Applications/Communications
Summary:      A mini-kermit program that is distributed under GPL
Autoreqprov:  on
Version:      1.0
Release:      230
URL:          http://www.columbia.edu/kermit/gkermit.html
Source:       gku100.tar.bz2
Patch0:       gku100.patch
Patch1:       gku100-ia64.patch
BuildRoot:    /var/tmp/%{name}-%{version}-root

%description
G-Kermit is a Unix program for transferring files with the Kermit
protocol. G-Kermit is a product of the Kermit Project at Columbia
University in New York City.
G-Kermit is Fast, Small, Portable, Easy to use, Interoperable,
Low-maintenance, Stable and reliable. Features include Text and
binary file transfer on both 7-bit and 8-bit connections, Files can be
transferred singly or in groups, Automatic startup configuration via
GKERMIT environment variable, Configurability as an external protocol
Kermit protocol features include Automatic peer recognition, Streaming
on reliable connections, Selectable packet length, 40 to 9000 bytes
(4000 default), Single shifts for 8-bit data on 7-bit connections,
Control-character prefixing for control-character transparency,
Control-character unprefixing for increased speed (incoming only),
Compression of repeated bytes, Per-file and batch cancellation.
Features not included are Making connections, Character-set translation,
Interactive commands and scripting, File date-time stamps

Authors:
--------
    Frank da Cruz <fdc@columbia.edu>

SuSE series: n

%prep
%setup -c -n gku100
%patch0
%patch1

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT MANDIR=$RPM_BUILD_ROOT%{_mandir}/man1 install 

%files
%defattr(-,root,root)
%doc ANNOUNCE COPYING README
%doc %{_mandir}/man1/gkermit.1.gz
/usr/bin/gkermit

%changelog -n gkermit
* Tue Apr 24 2001 - pmladek@suse.cz
- fixed warnings on ia64
* Thu Nov 02 2000 - cihlar@suse.cz
- bzipped sources
* Sat Mar 18 2000 - grimmer@suse.de
- initial version (1.0)
